Skip to main content
GET
/
conferences
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const conference of client.conferences.list()) {
  console.log(conference.id);
}
{ "data": [ { "record_type": "conference", "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "All hands meeting", "created_at": "2019-01-23T18:10:02.574Z", "expires_at": "2019-01-23T18:10:02.574Z", "updated_at": "2019-01-23T18:10:02.574Z", "region": "sv1", "status": "completed", "end_reason": "all_left", "ended_by": { "call_control_id": "v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==", "call_session_id": "428c31b6-abf3-3bc1-b7f4-5013ef9657c1" }, "connection_id": "3fa85f64-9191-4567-b3fc-2c963f66afa6" } ], "meta": { "total_pages": 3, "total_results": 55, "page_number": 2, "page_size": 25 } }

Documentation Index

Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

region
enum<string>

Region where the conference data is located

Available options:
Australia,
Europe,
Middle East,
US
filter
object

Consolidated filter parameter (deepObject style). Originally: filter[application_name][contains], filter[outbound.outbound_voice_profile_id], filter[leg_id], filter[application_session_id], filter[connection_id], filter[product], filter[failed], filter[from], filter[to], filter[name], filter[type], filter[occurred_at][eq/gt/gte/lt/lte], filter[status]

page
object

Consolidated page parameter (deepObject style). Originally: page[after], page[before], page[limit], page[size], page[number]

Response

Successful response with a list of conferences.

data
Conference · object[]
meta
object